Subject: Re: fatal: Entry 'xxx' not uptodate. Cannot merge.

From: Jakub Narebski <[email-masked]>
Date: Mon, 11 Feb 2008 03:03:13 -0800 (PST)

"Donuvi Tanoga" <[email-masked]> writes:

> I have a problem I don't know how to solve.
> 
> When I do git pull (on linus' tree), I get the following:
> 
> Updating 9b73e76..19af355
> fs/binfmt_elf.c: needs update
> fatal: Entry 'fs/binfmt_elf.c' not uptodate. Cannot merge.
> 
> This is 100% my fault, and not a bug (I probably
> accidentally changed it or something).
> 
> Can you please help me to fix it ?

http://git.or.cz/gitwiki/GitFaq#head-6f976e553404993ae6353d939a7fb3f3321208d8

Although I think that this error message could be improved.
This message from what I see is from the ancient times, before
even v0.99 (commit 02ede67ad45973f9f8d07db7).

-- 
Jakub Narebski
Poland
ShadeHawk on #git